#
# spec file for package libbaseencode
#
# Copyright (c) 2023 SUSE LLC
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via https://bugs.opensuse.org/
#


%define libsoname %{name}1
%if 0%{?fedora_version}
%global debug_package %{nil}
%endif
Name:           libbaseencode
Version:        1.0.15
Release:        1.6
Summary:        Base32 and base64 encoding library
License:        Apache-2.0
Group:          Development/Libraries/C and C++
URL:            https://github.com/paolostivanin/%{name}
Source0:        https://github.com/paolostivanin/%{name}/archive/v%{version}.tar.gz
Source1:        https://github.com/paolostivanin/%{name}/releases/download/v%{version}/v%{version}.tar.gz.asc
BuildRequires:  cmake
BuildRequires:  gcc
BuildRequires:  gcc-c++
BuildRequires:  pkgconfig

%description
%{name} is a small library written C that provides APIs for encoding and decoding
text using either base32 or base64.
This library was implemented following both standard from the RFC-4648

%package -n     %{libsoname}
Summary:        Base32 and base64 encoding library
Group:          System/Libraries

%description -n %{libsoname}
Library written in C for encoding and decoding data using base32 or base64
according to RFC-4648

%package        devel
Summary:        Development files for %{name}
Group:          Development/Libraries/C and C++
Requires:       %{libsoname} = %{version}

%description    devel
Pkg-config and header files for developing applications that use %{name}

%prep
%setup -q

%build
%cmake
%cmake_build

%install
%cmake_install

%post -n   %{libsoname} -p /sbin/ldconfig
%postun -n %{libsoname} -p /sbin/ldconfig

%files -n %{libsoname}
%license LICENSE
%{_libdir}/%{name}.so.*

%files devel
%{_libdir}/%{name}.so
%{_includedir}/baseencode.h
%{_libdir}/pkgconfig/baseencode.pc

%changelog
* Thu Jan  5 2023 Paolo Stivanin <info@paolostivanin.com>
- Update to 1.0.15:
  * fix invalid pointer usage in case of memory allocation failure.
* Thu May 19 2022 Paolo Stivanin <info@paolostivanin.com>
- update to 1.0.14:
  * fix pkg-config file generation (#25)
* Wed Dec 29 2021 Paolo Stivanin <info@paolostivanin.com>
- update to 1.0.12:
  * check for null byte only at the end of the user given
    input length (fix #23)
  >>>>>>> .new
* Mon May  3 2021 Ferdinand Thiessen <rpm@fthiessen.de>
- Update to 1.0.11
  * fix valgrind reported error on decode function
- Use cmake macros
* Tue Sep 22 2020 Paolo Stivanin <info@paolostivanin.com>
- Update to 1.0.10
  * fix valgrind issues
* Mon Apr 20 2020 Markos Chandras <markos@chandras.me>
- Disable debug package on Fedora (https://en.opensuse.org/Fedora_packaging)
* Tue Mar 17 2020 Paolo Stivanin <info@paolostivanin.com>
- run spec cleaner
* Sat Aug 25 2018 info@paolostivanin.com
- fix build
* Fri Aug 24 2018 info@paolostivanin.com
- first release on OBS
